Monthly Archives: November 2020

SeaMonkey 2.53.5.1 is out!

Hi everyone,

This is a quick announcement that SeaMonkey 2.53.5.1 has just been released.

Yes, it’s a quick update.    So quick, I hadn’t even gotten a chance to update my installed version to 2.53.5.  ;P

:ewong

SeaMonkey 2.53.5

Hi everyone,

Just want to update everyone that SeaMonkey 2.53.5 has been released.

The team is also following this up with a .1 release due to a bug in the video code (that’s as specific that I can get as I haven’t caught up to what’s going on).

:ewong

Updating on the updates..

Where are the updates?  It’s been so long… soo sooo long that I’ve forgotten when anyone got their browser updated automagically (as someone once said).

The release process is still half-manual half automatic.   I had hoped to make it totally automated; but we still have IanN and frg manually building them in a-manual-scripting method.    So that’s lacking; but it’s nearer than before.  Well, hell lot nearer than the updates situation.  No, that’s not saying a lot.  Kinda akin to starting a 10km hike and saying I’m near the finish line.  But it’s more like three quarters way to the destination.

As for the updates…  *sigh*.   I had thought I was nearly completed; but upon looking at the whole mess,  I’m far from completing.   Old versions and new versions.  Should we care about those using 2.0x?  What about 1.x?  At this point, I hate to say this but, those still using 1.x have no way of updating to whatever it is they can update to.   Even before this update process getting hosed,  1.x required manual updating to 2.x (read: Install anew).

So what about 2.0?  Then we have the issue of platform support.  Thanks to XP (and OSX Lion, and other old OSX systems) being de-supported, that adds a lot to what needs to be done.   Sounds kinda like ‘excusey’, I know.

The problem now boils down to what I want vs. what I can do with whatever time I can allot to dealing with this problem.

What I want:

I’d like to have an update system that can update whatever version to whatever *max* version that can be supported on the user’s system.    This is the most ideal setting.

What I can do:

Do we live in an ideal world?  No.   I feel the pressure.  I really do.  Psychologically I feel the anger and frustration.  I sense the pitchforks and the tar and feather.   I know they’re out to get me…

What I can’t do:

I unfortunately cannot set up updates for unsupported systems.  The obvious cases are for the OS/2s,  FreeBSDs,  and other systems I see checking for updates.   Yes, even Sunbird I can’t do anything about it.

Anyway…  I am currently working on the updates system.   I had hoped to build upon the old one (the pre-removal from Mozilla’s aus2 server) and while we did use it,   I had problems understanding the code.   So I built a newer system but due to the lack of concentration (haven’t been in the zone for a long time),  I couldn’t get things going.   Now, hopefully, I can concentrate on this.

I *really* need to get things working.  Those people with the pitchforks are gonna come for me.   Worst case scenario,  I get removed from the project and I’m relegated to peeling spuds  [which brings me to the name Spuds Mackenzie for some reason, but I digress].

Anyway, what I say here is wholy and solely my $0.02.  The other devs have nothing to do with this post.  So if the pitchforks do come…  the other devs have nothing to do with this….

Sometimes… I feel like “Arnold J. Rimmer” in Red Dwarf after the Astronavigation Exam where he’d stand up, does his curt double-rimmer salute to the examiner…  except.. his case, he says “I am a fish”…   I say, “I am an idiot.”   and then he passes out onto the floor.   I’m not yet there to passing out though.   So I guess…. nothing like him.    Now… Ace.. that’s someone I’d like to aspire to….  “Smoke me a kipper and I”ll be back for breakfast”

:ewong